/*
 * Copyright 2001-2005 SageTV, LLC. All rights reserved.
 */
// Declare the namespaces we're using for the C++ managed classes
using namespace System;
using namespace System::Runtime::InteropServices;
using namespace System::Drawing;
using namespace System::Drawing::Imaging;

// Converts a managed String to a Java string that is allocated inside the JVM passed as the env argument
jstring MgdStringToJString(JNIEnv* env, System::String *mgdString);

// Converts a managed Bitmap into a Java buffered image (java.awt.image.BufferedImage) that is allocated inside
// the JVM passed as the env argument
jobject MgdImageToBufferedImage(JNIEnv* env, Bitmap* mgdBitmap);

// Converts a Java String into a managed String
System::String *JStringToMgdString(JNIEnv* env, jstring jstr);