rem This batch file will rebuild 'WinampHelperJNI.dll' and 'WinampHelper.class'.
@echo off
echo Cleaning up before building.
cd "C++"
del *.obj
del *.dll
del *.exp
del *.lib
cd ..
cd java
del *.class
del *.h
cd ..
cd distribution
del /Q *.dll
del /Q *.class
del /Q *.stvi
cd ..
echo Building the JAVA class.
cd java
javac -target 1.4 -source 1.4 WinampHelper.java
echo Building C++ JAVA class header file.
javah -classpath . WinampHelper
echo Copying C++ JAVA class header file to C++ project build area.
copy /Y WinampHelper.h "..\C++"
cd ..
cd "C++"
echo Building C++ project.
call rebuild.bat
cd ..
echo Copying files to distribution area.
copy /Y ".\C++\WinampHelperJNI.dll" .\Distribution
copy /Y .\JAVA\WinampHelper.class .\Distribution
echo Done.

