rem This batch file rebuilds 'WinampJNI.dll' and 'WinampPlugin.class'.
@echo off
echo Cleaning up before building.
cd "C++"
del *.obj
del *.dll
del *.exp
del *.lib
cd ..
cd java
del *.class
del *.h
cd ..
cd distribution
del /Q *.dll
del /Q *.class
del /Q *.stvi
cd ..
echo Building the JAVA class.
cd java
javac -target 1.4 -source 1.4 -cp .;sage.jar WinampPlugin.java
echo Building C++ JAVA class header file.
javah -classpath . WinampPlugin
echo Copying C++ JAVA class header file to C++ project build area.
copy /Y WinampPlugin.h "..\C++"
cd ..
cd "C++"
echo Building C++ project.
call rebuild.bat
cd ..
echo Copying files to distribution area.
copy /Y ".\C++\WinampJNI.dll" .\Distribution
copy /Y .\JAVA\WinampPlugin.class .\Distribution
echo Done.

